Skip to main content
GET
/
v0
/
transactions
List transactions (legacy)
curl --request GET \
  --url https://api.sfcompute.com/v0/transactions
{
  "object": "transactions",
  "transactions": [
    {
      "id": "tx_1234567890-4",
      "timestamp": "2024-03-15T00:30:00.000Z",
      "direction": "outgoing",
      "status": "accepted",
      "amount": 5000,
      "account_kind": "primary",
      "balance_before": 70000,
      "balance_after": 65000,
      "metadata": {
        "type": "buy",
        "start_time": "2024-11-05T07:24:24.207Z",
        "end_time": "2024-11-05T09:24:24.207Z",
        "quantity": 2,
        "order_id": "ordr_34Az95N",
        "instance_type_requirements": {
          "accelerator_types": [
            "H100"
          ],
          "interconnect_types": [
            "Infiniband"
          ],
          "regions": [
            "NorthAmerica"
          ],
          "delivery_type": "K8s"
        }
      }
    }
  ],
  "pagination": {
    "has_more": true,
    "count": 1,
    "oldest_timestamp": "2024-03-15T00:30:00.000Z",
    "newest_timestamp": "2024-03-15T00:30:00.000Z"
  }
}

Query Parameters

starting_after
string<date-time>

Return transactions after this timestamp (exclusive)

Example:

"2024-03-15T00:00:00Z"

ending_before
string<date-time>

Return transactions before this timestamp (exclusive)

Example:

"2024-03-16T00:00:00Z"

limit
string
default:50

Maximum number of transactions to return (default: 50, max: 500)

Pattern: ^\d+$
Example:

"20"

transaction_type
default:[]

Filter transactions by one or more transaction types. No filter shows all transaction categories.

Available options:
buy,
sell,
transfer,
error,
instant_deposit,
deposit_ach,
withdrawal_bank,
refund,
admin_ledger_transfer,
fulfillment_escrow_release,
promotional_credit,
delivery_fees_collected
Example:

"instant_deposit"

account_kind

Filter transactions by one or more account kinds. Primary account most relevant for most users. No filter shows all account kinds.

Available options:
primary,
capital,
withdrawal_reserve,
fulfillment_escrow,
delivery_fee_escrow
Example:

"primary"

Response

200 - application/json

List of transactions for the account

List of transactions for an account

object
enum<string>
required

The type of the response object

Available options:
transactions
Example:

"transactions"

transactions
object[]
required

Transactions for all accounts (see account kind) associated with this user.

pagination
object
required

Pagination information